<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>

<body>
    <script>

        //Ex13
        function extractPersonBirthYear(code) {
            let initalDigit = +code.substr(0, 1); // annab esimese numbri koodist, millest saame teada mis sajandil sündinud 
            let birthYearDigits = +code.substr(1, 2); // annab teise ja kolmanda numbri koodist
            let birthYear = 0;

            switch (initalDigit) {
                case 3:
                    birthYear += 1800
                    break;
                case 4:
                    birthYear += 1900
                    break;
                case 5:
                    birthYear += 2000
                    break;
                case 6:
                    birthYear += 2100
                    break;
            }

            return birthYear + birthYearDigits;




        }
        console.log("The person was born in ", extractPersonBirthYear("49403136515"))

        //Ex 14
        const extractPersonGender = code => +code.substr(0, 1) % 2 == 1 ? 'M' : 'N'; 

        console.log('Sugu', extractPersonGender("49403136515"));

        //Ex 14 ver 2

        function extractPersonGender2(code) {
            let initalDigit = parseInt(code.slice(0, 1));
            if (initalDigit % 2 == 1) {
                return 'M'
            } else {
                return 'N'
            }
            
        }

        console.log('Sugu', extractPersonGender2("49403136515"));

        //Ex15
        function isPersonalCodeValid(code) {
            const weights1 = [1, 2, 3, 4, 5, 6, 7, 8, 9, 1];
            const weights2 = [3, 4, 5, 6, 7, 8, 9, 1, 2, 3];

            let sum = 0;

            for (let i = 0; i < weights1.length; i++) {
                sum = sum + weights1[i] * +code.substr(i, 1);
            }
            let calculatedCheckNumber = sum % 11;
            if (calculatedCheckNumber !== 10) {
                return +code.substr(10, 1) === calculatedCheckNumber;
            } else {
                sum = 0;
                for (let j = 0; j < weights2.length; j++) {
                sum = sum + weights2[j] * +code.substr(j, 1);
            }
                calculatedCheckNumber = sum % 11;
                if (calculatedCheckNumber === 10) {
                    return 0 === +code.substr(10, 1);
                } else {
                    return calculatedCheckNumber === +code.substr(10, 1);
                }
            }

        }

        console.log('Is personal code valid: ', isPersonalCodeValid('38605010298'));

    </script>
</body>

</html>